package assert

import (
	"testing"
)

func Equal(t *testing.T, expected interface{}, actual interface{}, forWhat string) {
	if expected != actual {
		t.Errorf(
			"Unexpected value for %s:\nexpected: %q\nactual: %q",
			forWhat, expected, actual)
	}
}

func NotEqual(t *testing.T, notExpected interface{}, actual interface{}, forWhat string) {
	if notExpected == actual {
		t.Errorf("Unexpected value for %s: %q", forWhat, actual)
	}
}
